const { defineConfig } = require("@vue/cli-service");
module.exports = defineConfig({
  transpileDependencies: true,
  productionSourceMap: false,
  lintOnSave: false,
  // 打包输出目录
  outputDir: "dist",
  publicPath: "./",
  // webpack 插件
  configureWebpack: {},
  transpileDependencies: true,
  devServer: {
    proxy: {
      "/file": {
        target: process.env.VUE_APP_API_BASE_URL,
        changeOrigin: true,
      },
    },
  },
});
